### Virtual Method

# Ide RenameProvider rename_finish

#### Declaration

    gboolean
    rename_finish (
      IdeRenameProvider* self,
      GAsyncResult* result,
      GPtrArray** edits,
      GError** error
    )

#### Description

Completes a request to ide_rename_provider_rename_async().

You can use the resulting `GPtrArray` of `IdeTextEdit` instances to edit the project to complete the symbol rename.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`edits` | An array of `None`
| A location for a `GPtrArray` of `IdeTextEdit` instances.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful and `edits` is set. Otherwise `FALSE` and `error` is set.